---
# Removes k3s packages from the selected nodes. 

- name: Remove k3s from the nodes
  pacman:
    name: k3s-bin
    state: absent
  become: yes

- name: Delete master configurations
  file:
    name: /root/.kube
    state: absent
  when: inventory_hostname in groups ['masters']
  become: yes

- name: Delete folder of configurations
  file:
    name: "{{ item }}"
    state: absent
  loop:
    - "/var/lib/rancher"
    - "/home/{{ ansible_user }}/k3s"
    - "/etc/rancher"
    - "/home/{{ ansible_user }}/.rancher"
    - "/etc/systemd/system/k3s-agent.service.env"
  become: yes

- name: Kernel Modules to Uninstall
  modprobe:
    name: "{{ item }}"
    state: absent
  loop:
    - "ip_conntrack"
    - "br_netfilter"
  when: inventory_hostname in groups ['masters']
  become: true
